'From Squeak3.0 of 4 February 2001 [latest update: #3545] on 22 November 2001 at 1:15:25 am'!
Object subclass: #Filename
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'XML-Compatibility'!
Notification subclass: #InformationSignal
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'System-Exceptions Kernel'!

!Object methodsFor: 'Camp Smalltalk'!
isString
	^false! !


!Filename class methodsFor: 'as yet unclassified'!
separator
	^FileDirectory pathNameDelimiter ! !


!Stream methodsFor: 'testing'!
isExternalStream
	^false! !


!FileStream methodsFor: 'testing'!
isExternalStream
	^true! !


!String methodsFor: 'Camp Smalltalk'!
isString
	^true! !

!String methodsFor: 'VWSubstituting'!
expandMacrosWith: anObject
	"This is solely for trivial compatibility with VW's substitution mechanism for the sake of the XML parser port."
	| temp |
	(self includesSubString: '<1s>')  ifTrue: [temp := self copyReplaceAll: '<1s>' with: anObject asString]
						   ifFalse: [temp := self copyReplaceAll: '<1p>' with: anObject printString].
	^temp expandTheDangEscapedNewlines killQuotedOpenAngleBrackets! !

!String methodsFor: 'VWSubstituting'!
expandMacrosWith: anObject with: anotherObject
	"This is solely for trivial compatibility with VW's substitution mechanism for the sake of the XML parser port."
	"Yeah yeah, piss and moan. It's *purely* to avoid doing anything serious that might have to be changed later. There *are* better solutions, but I'm *not* at Camp Smalltalk (wahhh!!) so I don't have ready feedback. So, this does the job minimally until folks decide what to do with the code base itself."

	| temp |
		(self includesSubString: '<2s>') ifTrue: [temp := self copyReplaceAll: '<2s>' with: anotherObject asString]
						   ifFalse: [temp := self copyReplaceAll: '<2p>' with: anotherObject printString].
	^temp expandMacrosWith: anObject! !

!String methodsFor: 'VWSubstituting'!
expandMacrosWith: anObject with: anotherObject with: aThirdObject
	"This is solely for trivial compatibility with VW's substitution mechanism for the sake of the XML parser port."
	

	| temp |
		(self includesSubString: '<3s>') ifTrue: [temp := self copyReplaceAll: '<3s>' with: aThirdObject asString]
						   ifFalse: [temp := self copyReplaceAll: '<3p>' with: aThirdObject printString].
	^temp expandMacrosWith: anObject with: anotherObject! !

!String methodsFor: 'VWSubstituting'!
expandTheDangEscapedNewlines
	"Now *that's* a selector!!"
	"This is solely for trivial compatibility with VW's substitution mechanism for the sake of the XML parser port."

	^self copyReplaceAll: '<n>' with: String cr! !

!String methodsFor: 'VWSubstituting'!
killQuotedOpenAngleBrackets
	"Now *that's* a selector!!"
	"This is solely for trivial compatibility with VW's substitution mechanism for the sake of the XML parser port."

	^self copyReplaceAll: '%<' with: '<'! !

!String methodsFor: 'VWSubstituting'!
tokensBasedOn: aCharacter

	^self findTokens: aCharacter asString! !

